C******************** START FILE URSTAT.FOR ; GROUP URDUTS ******************
C---------------------------------------------
C&  URSTAT  UREAD STATUS SUMMARY DISPLAY ON TERMINAL
C
      SUBROUTINE URSTAT
C
      INCLUDE 'USERIO'
C
      CHARACTER*7 ZMODE(2)
      DATA ZMODE/'COMMAND','TEXT   '/
      CHARACTER*8 UCNTRL
      LOGICAL ILNHLD,ILPMMR
C
      CALL NEUPAG
C
      CALL URCSTR(UCNTRL)
C
      ILPMMR=.TRUE.
      IF(LPMMSG.NE.1) ILPMMR=.FALSE.
      ILNHLD=.NOT.NLHOLD
C
      WRITE(LUNTRM,1000) ZMODE(max(1,LEVCMD)),ILNHLD,NLXPER,NLECHO,
     >     ILPMMR,MAXLIN,LUNTRM,LUNTIN(2),LUNTIN(MAXLIN)
 1000 FORMAT(/' UREAD STATUS:'/
     >' INPUT MODE: ',A7,T40,' TYPEAHEAD ENABLE: ',L1/
     >' EXPERT MODE: ',L1,T40,' ECHO/DEBUG MODE: ',L1/
     >' PROMPT MISMATCH ERROR REPORTING: ',L1/
     >' MAXIMUM NO. OF I/O CHANNELS: ',I2,T40,' TTY CHANNEL (LUN):',I2/
     >' FIRST UREAD FILE LUN: ',I2,T40,' LAST UREAD FILE LUN: ',I2/
     >)
C
      CALL UTRACE
C
      RETURN
      END
C******************** END FILE URSTAT.FOR ; GROUP URDUTS ******************
